Loading...
Searching...
No Matches
Ogre::RenderWindowDescription Struct Reference
Core » General

Render window creation parameters. More...

`#include <OgreCommon.h>`

## Public Attributes

unsigned int | height
NameValuePairList | miscParams
String | name
bool | useFullScreen
unsigned int | width

## Detailed Description

Render window creation parameters.

## Member Data Documentation

## name

String Ogre::RenderWindowDescription::name

Referenced by Ogre::Root::createRenderWindow().

## width

unsigned int Ogre::RenderWindowDescription::width

Referenced by Ogre::Root::createRenderWindow().

## height

unsigned int Ogre::RenderWindowDescription::height

Referenced by Ogre::Root::createRenderWindow().

## useFullScreen

bool Ogre::RenderWindowDescription::useFullScreen

Referenced by Ogre::Root::createRenderWindow().

## miscParams

NameValuePairList Ogre::RenderWindowDescription::miscParams

Referenced by Ogre::Root::createRenderWindow().

The documentation for this struct was generated from the following file:

- OgreCommon.h